// UV3MsgFeedback.h : UV3 Message Box and Async eventing header
// Copyright 2007 Keil - An ARM Company
//

#ifndef _UV3MSGFEEDBACK_H_
#define _UV3MSGFEEDBACK_H_

#include "..\UVSOCK.h"

typedef struct event_feedback {
  HWND          MBhWnd;       // Pass a window handle to show the MB on, if NULL main UV3 window is used
  char *        msg;          // (Error) message string pointer
  char *        MBcaption;    // Message box caption string pointer
  UINT          MBType;       // Message box type (Buttons, graphic)
  UINT          MBDefAnswer;  // Default answer to a message box if it cannot be displayed
  UV_OPERATION  op;           // Code indicating this event
  UV_STATUS     status;       // Code indicating success, failure, warning, etc
  UINT          MBShow;       // Show a message box?
} EVENT_FEEDBACK;


#if 0 // Now in bom.h
UINT UVMsgBox(HWND hWnd, 
              const char *pMsg,
              const char *pCaption,
              UINT uiType,
              UINT uiDefAnswer,
              UV_OPERATION operation, 
              UV_STATUS status);

void UVSOCKEvent(const char *pMsg,
                 UV_OPERATION operation, 
                 UV_STATUS status);
#endif

#endif /* _UV3MSGFEEDBACK_H_ */

